Subject: [VCARDDAV] [Technical Errata Reported] RFC6350 (3000)

From: RFC Errata System <[email-masked]>
Date: Fri, 21 Oct 2011 07:10:42 -0700 (PDT)

The following errata report has been submitted for RFC6350,
"vCard Format Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=3000

--------------------------------------
Type: Technical
Reported by: Mykyta Yevstifeyev <[email-masked]>

Section: 10.3.4

Original Text
-------------
   The following table is to be used to initialize the property values
   registry.

            +----------+------------+-------------------------+
            | Property | Value      | Reference               |
            +----------+------------+-------------------------+
            | BEGIN    | VCARD      | RFC 6350, Section 6.1.1 |
            | END      | VCARD      | RFC 6350, Section 6.1.2 |
            | KIND     | individual | RFC 6350, Section 6.1.4 |
            | KIND     | group      | RFC 6350, Section 6.1.4 |
            | KIND     | org        | RFC 6350, Section 6.1.4 |
            | KIND     | location   | RFC 6350, Section 6.1.4 |
            +----------+------------+-------------------------+

Corrected Text
--------------
   The following table is to be used to initialize the property values
   registry.

            +----------+------------+-------------------------+
            | Property | Value      | Reference               |
            +----------+------------+-------------------------+
            | BEGIN    | VCARD      | RFC 6350, Section 6.1.1 |
            | END      | VCARD      | RFC 6350, Section 6.1.2 |
            | KIND     | individual | RFC 6350, Section 6.1.4 |
            | KIND     | group      | RFC 6350, Section 6.1.4 |
            | KIND     | org        | RFC 6350, Section 6.1.4 |
            | KIND     | location   | RFC 6350, Section 6.1.4 |
            | VERSION  | 4.0        | RFC 6350, Section 6.7.9 |
            +----------+------------+-------------------------+

Notes
-----
Here the registration of "4.0" value for VERSION is added, as it was discussed on WG mailing list.  When the erratum is approved, I'll ask IANA to add an entry on the registry, correspondingly.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6350 (draft-ietf-vcarddav-vcardrev-22)
--------------------------------------
Title               : vCard Format Specification
Publication Date    : August 2011
Author(s)           : S. Perreault
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Marc Blanchet <[email-masked]>
Date: Fri, 21 Oct 2011 10:16:45 -0400

I wonder if this could really be considered as just an errata or as a technical change in the RFC, specially since it triggers an action to IANA. don't want to be picky, but wondering.

Marc.

Le 2011-10-21 à 10:10, RFC Errata System a écrit :

> _______________________________________________
> VCARDDAV mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vcarddav

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 21 Oct 2011 17:20:53 +0300

Marc,

We did have such errata; please see 
http://www.rfc-editor.org/errata_search.php?eid=2729.  IANA has 
processed this erratum normally; see an entry in 
http://www.iana.org/assignments/xml-registry/schema.html.  I think it's 
OK in this case as well.

Mykyta

21.10.2011 17:16, Marc Blanchet wrote:
>> Reported by: Mykyta Yevstifeyev<[email-masked]>
>>
>> Section: 10.3.4
>>
>> Original Text
>> -------------

---

From: Julian Reschke <[email-masked]>
Date: Fri, 21 Oct 2011 16:20:08 +0200

On 2011-10-21 16:10, RFC Errata System wrote:
> ...

It seems pointless to me to file errata against IANA actions in an RFC 
when the RFC is already published.

If there's a problem with the contents of an IANA registry, just fix it.

Best regards, Julian

---

From: Simon Perreault <[email-masked]>
Date: Fri, 21 Oct 2011 10:20:32 -0400

Confirmed.

-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 21 Oct 2011 17:24:19 +0300

> If there's a problem with the contents of an IANA registry, just fix it.

RFC 6350 specified that there is an "RFC Required" policy for adding the 
entries in that registry.  It is pointless to publish an RFC for adding 
that only entry, and an erratum seems to be quite lightweight approach 
to make this small modification.

Mykyta

---

From: Simon Perreault <[email-masked]>
Date: Fri, 21 Oct 2011 10:29:00 -0400

> If there's a problem with the contents of an IANA registry, just fix it.

There's a problem with the RFC, IMHO, which an errata is a good way to
keep track of.

Simon

---

From: Simon Perreault <[email-masked]>
Date: Fri, 21 Oct 2011 10:35:03 -0400

On 2011-10-21 10:16, Marc Blanchet wrote:
> I wonder if this could really be considered as just an errata or as a
> technical change in the RFC, specially since it triggers an action to
> IANA. don't want to be picky, but wondering.

I see this as an errata in the IANA considerations section. The section
describing the VERSION property makes it clear that only value "4.0" is
allowed. It does not affect the protocol, so no technical change.

Simon

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 26 Oct 2011 17:11:03 -0600

> There's a problem with the RFC, IMHO, which an errata is a good way to

Because Section 6.7.9 of RFC 6350 doesn't say that values for the
VERSION property need to be registered, I'm not convinced that this
erratum is appropriate (however I'm open to changing my mind about that).

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Simon Perreault <[email-masked]>
Date: Wed, 26 Oct 2011 19:17:30 -0400

> erratum is appropriate (however I'm open to changing my mind about that).

Section 6.7.9 of RFC 6350 not saying that values for the VERSION 
property need to be registered *is* the erratum.

Simon

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 26 Oct 2011 17:18:43 -0600

> property need to be registered *is* the erratum.

If so, then this erratum is incomplete.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/